Name:          python-idna
Version:       3.4
Release:       2mamba
Summary:       Internationalized Domain Names in Applications (IDNA)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/kjd/idna
Source:        https://pypi.debian.net/idna/idna-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n idna-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/idna-%{version}.dist-info
%{python_sitelib}/idna-%{version}.dist-info/*
%dir %{python_sitelib}/idna
%{python_sitelib}/idna/*
%doc LICENSE.md

%changelog
* Mon Jan 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4-2mamba
- rebuilt with python 3.10 subpackage

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sat May 29 2021 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-2mamba
- rebuilt with -py36 package

* Wed Dec 05 2018 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-2mamba
- fixed permissions of egg-info files

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Sun Aug 20 2017 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Thu Mar 09 2017 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Sun Mar 05 2017 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Wed Dec 21 2016 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- package created using the webbuild interface
